ROUGHNESS-PREFILTER(1)

NAME
roughness-prefilter - filament material tools

DESCRIPTION
roughness-prefilter generates pre-filtered roughness maps from normal maps to help mitigate specular aliasing. Usage:

    roughness-prefilter [options] <normal-map> <output-roughness-map>

  Output note:

    One file will be generated per mip-level. The size of the first level will be the greater of the input normal map and input roughness map.

  Supported input formats:

    PNG, 8 and 16 bits Radiance (.hdr) Photoshop (.psd), 16 and 32 bits OpenEXR (.exr)

OPTIONS

--help, -h

    print this message

--license

    Print copyright and license information

--roughness=[0..1], -r [0..1]

    desired constant roughness, ignored if --roughness-map is specified

--roughness-map=<input-roughness-map>, -m <input-roughness-map>

    input roughness map

--format=[exr|hdr|psd|png|dds|ktx], -f [exr|hdr|psd|png|dds|ktx]

    specify output file format, inferred from file name if omitted

--compression=COMPRESSION, -c COMPRESSION

    format specific compression:

    PNG: Ignored Radiance: Ignored Photoshop: 16 (default), 32 OpenEXR: RAW, RLE, ZIPS, ZIP, PIZ (default) DDS: 8, 16 (default), 32

--linear, -l

    force linear output when the PNG format is selected

to help mitigate specular aliasing. Usage:

    roughness-prefilter [options] <normal-map> <output-roughness-map>

  Output note:

    One file will be generated per mip-level. The size of the first level will be the greater of the input normal map and input roughness map.

  Supported input formats:

    PNG, 8 and 16 bits Radiance (.hdr) Photoshop (.psd), 16 and 32 bits OpenEXR (.exr)

--help, -h

    print this message

--license

    Print copyright and license information

--roughness=[0..1], -r [0..1]

    desired constant roughness, ignored if --roughness-map is specified

--roughness-map=<input-roughness-map>, -m <input-roughness-map>

    input roughness map

--format=[exr|hdr|psd|png|dds|ktx], -f [exr|hdr|psd|png|dds|ktx]

    specify output file format, inferred from file name if omitted

--compression=COMPRESSION, -c COMPRESSION

    format specific compression:

    PNG: Ignored Radiance: Ignored Photoshop: 16 (default), 32 OpenEXR: RAW, RLE, ZIPS, ZIP, PIZ (default) DDS: 8, 16 (default), 32

--linear, -l

    force linear output when the PNG format is selected